Subject: bug#9324: 24.0.50; Movement past end of screen causes weird jump

From: Eli Zaretskii <[email-masked]>
Date: Fri, 19 Aug 2011 13:41:56 +0300

> From: Ivan Andrus <[email-masked]>
> Date: Fri, 19 Aug 2011 12:02:58 +0200
> Cc: Antoine Levitt <[email-masked]>,
>  [email-masked]
> 
> I just noticed something.  I use `hl-sexp-mode' from http://edward.oconnor.cx/elisp/hl-sexp.el to highlight the current sexp that I am in (or touching if at the top level).  This means when point is right after a top level sexp that sexp is highlighted.  Immediately after running the forward-sexp the defadvice sexp is highlighted.

Didn't you say that all this happens in "emacs -Q"?  Then how come
hl-sexp happens to be loaded?

> Of course, any sort of movement changes the highlighting, but it seems to indicate that:
> 
> 1. it moves point correctly
> 2. realizes that it has to recenter
> 3. recenters the cursor but not the buffer display.

With your original recipe, and without loading hl-sexp in any way,
what does "C-x =" say about point, after running forward-sexp?